#include <stdbool.h>
#include <stdint.h>
#include <string.h>

#include "imu.h"
#include "ble.h"

uint32_t orientation;

int main(void) {

    // imu config
    dsp_config();
    spi_config();
    config_gpio();
    sensor_config();

    // imu config
    bool erase_bonds;

    log_init();
    timers_init();
    buttons_leds_init(&erase_bonds);
    power_management_init();
    ble_stack_init();
    gap_params_init();
    gatt_init();
    advertising_init();
    services_init();
    conn_params_init();
    peer_manager_init();

    // Start execution.
    application_timers_start();
    advertising_start(erase_bonds);

    // Enter main loop.
    for (;;) {
        idle_state_handle();
    }
}
