#include <stdbool.h>
#include <stdint.h>
#include <string.h>

#include "nordic_common.h"
#include "nrf.h"
#include "app_error.h"
#include "ble.h"
#include "ble_hci.h"
#include "ble_srv_common.h"
#include "ble_advdata.h"
#include "ble_advertising.h"
#include "ble_conn_params.h"
#include "nrf_sdh.h"
#include "nrf_sdh_soc.h"
#include "nrf_sdh_ble.h"
#include "app_timer.h"
#include "fds.h"
#include "peer_manager.h"
#include "peer_manager_handler.h"
#include "bsp_btn_ble.h"
#include "sensorsim.h"
#include "ble_conn_state.h"
#include "nrf_ble_gatt.h"
#include "nrf_ble_qwr.h"
#include "nrf_pwr_mgmt.h"
#include "nrf_log.h"
#include "nrf_log_ctrl.h"
#include "nrf_log_default_backends.h"
#include "nrf_temp.h"
#include "ble_hts.h"
#include "ble_bas.h"


void advertising_start(bool erase_bonds);

void generate_temperature(ble_hts_meas_t * p_meas);

void on_hts_evt(ble_hts_t * p_hts, ble_hts_evt_t * p_evt);

void assert_nrf_callback(uint16_t line_num, const uint8_t * p_file_name);

void pm_evt_handler(pm_evt_t const * p_evt);

void timers_init(void);

void gap_params_init(void);

void gatt_init(void);

void nrf_qwr_error_handler(uint32_t nrf_error);

void services_init(void);

void on_conn_params_evt(ble_conn_params_evt_t * p_evt);

void conn_params_error_handler(uint32_t nrf_error);

void conn_params_init(void);

void application_timers_start(void);

void sleep_mode_enter(void);

void on_adv_evt(ble_adv_evt_t ble_adv_evt);

void ble_evt_handler(ble_evt_t const * p_ble_evt, void * p_context);

void ble_stack_init(void);

void peer_manager_init(void);

void delete_bonds(void);

void bsp_event_handler(bsp_event_t event);

void advertising_init(void);

void buttons_leds_init(bool * p_erase_bonds);

void log_init(void);

void power_management_init(void);

void idle_state_handle(void);

void advertising_start(bool erase_bonds);
