#include <stdbool.h>
#include <stdint.h>

#include "nrf_drv_spi.h"
#include "bmi160.h"
#include "nrf_delay.h"
#include "nrf_drv_gpiote.h"
#include "arm_math.h"

void dsp_config();

void compute_fir();

int8_t get_bmi160_fifo_data();

void spi_event_handler(nrf_drv_spi_evt_t const * p_event, void *p_context);

void gpio_event_handler(nrf_drv_gpiote_pin_t pin, nrf_gpiote_polarity_t action);

uint32_t spi_config();

int8_t bmi160_spi_bus_write(uint8_t hw_addr, uint8_t reg_addr, uint8_t *reg_data, uint16_t cnt);

int8_t bmi160_spi_bus_read(uint8_t hw_addr, uint8_t reg_addr, uint8_t *reg_data, uint16_t len);

int8_t sensor_config();

uint32_t config_gpio();
